%define name fetchmail
%define version 5.3.8
%define release 4mdk

%define prefix /usr

Name: %name
Version: %version
Release: %release
Summary: A remote mail retrieval and forwarding utility.
Source: ftp://locke.ccil.org/pub/esr/fetchmail/%{name}-%{version}.tar.bz2
Source1: fetchmailconf_menuentry
Source2: fetchmailconf.xpm
Copyright: freely redistributable
Group: Networking/Mail
Requires: smtpdaemon
Buildroot: /var/tmp/fetchmail-root-%{version}

%package -n fetchmailconf
Summary: A utility for graphically configuring your fetchmail preferences.
Group: System/Configuration/Networking
Requires: tkinter
Requires: %{name} = %{version}


%description
Fetchmail is a remote mail retrieval and forwarding utility intended
for use over on-demand TCP/IP links, like SLIP or PPP connections.
Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your normal mail client.

Install fetchmail if you need to retrieve mail over SLIP or PPP
connections.

%description -n fetchmailconf
Fetchmailconf is a tcl/tk application for graphically configuring
your .fetchmailrc preferences file.  Fetchmail has many options
which can be daunting to the new user.  This utility takes some of
the guesswork and hassle out of setting up fetchmail.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} \
 --enable-nls  --without-included-gettext 
				
if [ "$SMP" != "" ]; then
		  (make "MAKE=make -k -j $SMP"; exit 0)
		      make
else
			  make
fi
											  


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/lib/rhs/control-panel}
		
make prefix=$RPM_BUILD_ROOT%{prefix} install

cp rh-config/*.{xpm,init} $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
cp fetchmail.man $RPM_BUILD_ROOT/usr/man/man1/fetchmail.1

rm -rf contrib/RCS
chmod 644 contrib/* 

# (mandrake) menu support
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/lib/menu/fetchmailconf

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/icons
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/share/icons/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FEATURES MANIFEST README NEWS NOTES *.html FAQ COPYING INSTALL sample.rcfile contrib
#%attr(644,root,root) %{prefix}/share/locale
%{prefix}/bin/fetchmail
%{prefix}/man/man1/fetchmail.1*

%files -n fetchmailconf
%defattr(-,root,root)
%{prefix}/bin/fetchmailconf
%{prefix}/lib/menu/*
%{prefix}/share/icons/*
%{prefix}/lib/rhs/control-panel/*

%post -n fetchmailconf
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun -n fetchmailconf
if [ "$1" = "0" ]; then
        [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi
				
%changelog
* Thu May 11 2000 Pixel <pixel@mandrakesoft.com> 5.3.8-4mdk
- remove lang

* Thu May 11 2000 Pixel <pixel@mandrakesoft.com> 5.3.8-3mdk
- *much* cleanup

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.8-2mdk
- menu entry only for fetchmail conf .
- fix an odd bug: fetchmail didn't see .fetchmailrc at all 

* Thu Apr 27 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.8-1mdk
- release 5.3.8 -> fix seg faults happening in some case (maurizio )!
- add menu entry and icons to fetchmailconf
- SMP build /check
- full support for internationalisation.

* Mon Apr 17 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.7-1mdk
- release  5.3.7

* Sun Apr 09 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.6-1mdk
- new release 5.3.6
- french internationalization updated.
- make rpmlint happy !
- now support for BeOs.

* Mon Apr 03 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.5-1mdk
- new release
- cleanup spec 
- rpmlint run smoothly without any warnings or errors (first time it happens to
  me :-)

* Wed Mar 22 2000 Daouda Lo <daouda@mandrakesoft.com> 5.3.3-2mdk
- fix group for both fetchmail and fetchmailconf

* Tue Mar 14 2000 Daouda LO <daouda@mandrakesoft.com> 5.3.3-1mdk
- 5.3.3
- adjust group 

* Mon Mar 06 2000 Daouda LO <daouda@mandrakesoft.com>
- 5.3.1

* Sat Feb 05 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 5.2.6-1mdk
- Update to 5.2.6

* Thu Dec 09 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix wrong man-pages soft links

* Thu Dec 02 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release for Oxygen

* Thu Sep 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 5.1.0 (security fixes)

* Mon Sep 06 1999 Daouda LO <daouda@mandrakesoft.com>
-5.0.7
-add manifest in doc section ;->

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 5.0.3
- Mandrake adaptions

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- 5.0.0

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- subpackage for fetchmailconf

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 4.7.0
- build against glibc 2.1

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- correct typo in dangling symlink fix.

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- update to 4.5.8

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.5.3.

* Fri May 08 1998 Cristian Gafton <gafton@redhat.com>
- fixed spelung eror in the decsriptoin

* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- new version 4.4.4 fixes a lot of bugs

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 4.4.1
- buildroot

* Thu Oct 23 1997 Michael Fulbright <msf@redhat.com>
- Updated to 4.3.2 using SRPM from Eric Raymond

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
